Bug 1235140 - Async stores can lose updates
Summary: Async stores can lose updates
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.5.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-24 07:09 UTC by Dan Berindei
Modified: 2022-05-31 22:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
<classname>AsyncCacheWriter</classname> could drop updates if it was unable to write <literal>modificationQueueSize</literal> entries within the <parameter>shutdownTimeout</parameter>, as older changes overwrote newer ones in the back-end store. This issue was primarily caused by a large queue size or a slow back-end store with a relatively small <classname>AsyncStore</classname> <parameter>shutdownTimeout</parameter> (25 seconds by default). Now <classname>AsyncStore</classname> will write everything to the backing store before shutting down, and the <parameter>shutdownTimeout</parameter> has been removed. This issue is resolved as of Red Hat JBoss Data Grid 6.5.1.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5559 0 Major Resolved "AsyncCacheWriter is dead!" errors cause deadlock or unbounded use of memory 2017-06-23 05:07:31 UTC

Description Dan Berindei 2015-06-24 07:09:18 UTC
When the backing store is slow and it cannot write modificationQueueSize entries in shutdownTimeout milliseconds, AsyncCacheWriter can drop updates or issue them in the wrong order.


Note You need to log in before you can comment on or make changes to this bug.